document.addEventListener("DOMContentLoaded", function () {
    if (typeof Tutor !== "undefined" && Tutor.CourseBuilder) {
        // Register a textarea field
        Tutor.CourseBuilder.Basic.registerField("after_description", {
            name: "seo_content",
            type: "textarea",
            label: "SEO Content",
            placeholder: "Write here...",
            priority: 20,
        });

        // Register a number field
        Tutor.CourseBuilder.Curriculum.Lesson.registerField("bottom_of_sidebar", {
            name: "lesson_duration",
            type: "number",
            label: "Lesson Duration (minutes)",
            priority: 5,
        });
    }
});
